package com.sibatel.solarapp.utils

import android.content.Context
import android.content.SharedPreferences

class SharedPref(mContext : Context) {
    val login = "session_status"
    val nama = "nama"
    val role = "role"
    val id = "id"
    val mypref = "MAIN_PRF"
    val sp: SharedPreferences

    val tanggal = "tanggal"
    val site = "site"

    init {
        sp = mContext.getSharedPreferences(mypref, Context.MODE_PRIVATE)
    }

    fun setStatusLogin(status : Boolean){
        sp.edit().putBoolean(login, status).apply()
    }

    fun setId(idUser:Int ? = 0){
        sp.edit().putInt(id,idUser!!).apply()
    }

    fun getId():Int{
        return sp.getInt(id,0)
    }

    fun setSite(namaSite:String ? = null){
        sp.edit().putString(site, namaSite!!).apply()
    }

    fun getSite1(): String{
        return sp.getString(site, "").toString()
    }


    fun setNama(namaUser:String ? = null){
        sp.edit().putString(nama, namaUser!!).apply()
    }

    fun getNama1(): String{
        return sp.getString(nama, "").toString()
    }

    fun setRole(roleUser:String ? = null){
        sp.edit().putString(role, roleUser!!).apply()
    }

    fun getRole1(): String{
        return sp.getString(role, "").toString()
    }



    fun getStatusLogin() : Boolean{
        return sp.getBoolean(login, false)
    }

    fun logout(){
        sp.edit().putBoolean(login, false).apply()
        sp.edit().putInt(id,0).apply()
        sp.edit().putString(nama, "").apply()
        sp.edit().putString(role, "").apply()
    }








}