package com.sibatel.solarapp.adapter

import android.view.LayoutInflater
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import com.sibatel.solarapp.data.model.tower.Maintenance
import com.sibatel.solarapp.databinding.ListMaintenanceBinding

class MaintenanceAdapter(var listMaintenance : ArrayList<Maintenance>?):RecyclerView.Adapter<MaintenanceAdapter.MaintenanceViewHolder> (){

    inner class MaintenanceViewHolder(private val binding: ListMaintenanceBinding) : RecyclerView.ViewHolder(binding.root){
        val tanggal = binding.tanggal
        val site = binding.site
    }

    override fun onCreateViewHolder(
        parent: ViewGroup,
        viewType: Int
    ): MaintenanceAdapter.MaintenanceViewHolder {
        val view = ListMaintenanceBinding.inflate(LayoutInflater.from(parent.context), parent, false)
        return MaintenanceViewHolder(view)
    }

    override fun onBindViewHolder(holder: MaintenanceAdapter.MaintenanceViewHolder, position: Int) {
        holder.tanggal.text = "Tanggal : "+listMaintenance?.get(position)?.tanggal.toString()
        holder.site.text = listMaintenance?.get(position)?.tujuanSite
    }

    override fun getItemCount(): Int {
        return listMaintenance?.size ?: 0
    }
}