package com.sibatel.solarapp.data.viewmodel

import androidx.lifecycle.LiveData
import androidx.lifecycle.ViewModel
import com.sibatel.solarapp.data.SolarRepository
import com.sibatel.solarapp.data.model.mobil.Mobil

class MobilViewModel (private val solarRepository: SolarRepository) : ViewModel(){
    fun getMobil() : LiveData<ArrayList<Mobil>> = solarRepository.getMobilList()
}