package com.sibatel.solarapp.data.viewmodel

import androidx.lifecycle.LiveData
import androidx.lifecycle.ViewModel
import com.sibatel.solarapp.data.SolarRepository
import com.sibatel.solarapp.data.model.solar.penggunaansolar.PenggunaanSolar

class PenggunaanSolarViewModel  (private val solarRepository: SolarRepository) : ViewModel(){
    fun getPenggunaanSolar(id:Int) : LiveData<ArrayList<PenggunaanSolar>> = solarRepository.getPenggunaanSolarList(id)
}