package com.sibatel.solarapp.ui.mobil

import androidx.fragment.app.Fragment
import androidx.fragment.app.FragmentActivity
import androidx.viewpager2.adapter.FragmentStateAdapter
import com.sibatel.solarapp.ui.mentoring.solar.pengambilan.PengambilanSolarFragment
import com.sibatel.solarapp.ui.mentoring.solar.penggunaan.PenggunaanSolarFragment

class DataMobilePagerAdapter (fm: FragmentActivity) : FragmentStateAdapter(fm) {
    override fun getItemCount(): Int = 6

    override fun createFragment(position: Int): Fragment =
        when(position){
            0 -> SCDFragment()
            1 -> KoordinatorFragment()
            2 -> CGLFragment()
            3 -> KorektifFragment()
            4 -> MaintenanceFragment()
            5 -> ProjectFragment()
            else -> SCDFragment()
        }
}